- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::geom::GeometryFilter Class Reference

Geometry classes support the concept of applying a Geometry filter to the Geometry. More...

`#include <GeometryFilter.h>`

Inheritance diagram for geos::geom::GeometryFilter:

List of all members.

## Public Member Functions
virtual void | filter_ro (const Geometry *)
virtual void | filter_rw (Geometry *)

## Detailed Description

Geometry classes support the concept of applying a Geometry filter to the Geometry.

In the case of GeometryCollection subclasses, the filter is applied to every element Geometry. A Geometry filter can either record information about the Geometry or change the Geometry in some way. Geometry filters implement the interface GeometryFilter. (GeometryFilter is an example of the Gang-of-Four Visitor pattern).

The documentation for this class was generated from the following file:

- GeometryFilter.h